<?php
/* Prohibit direct script loading */
defined('ABSPATH') || die('No direct script access allowed!');
?>
<div class="wplg_admin_wrap">
    <?php wp_nonce_field('wpgallery', '_wpnonce', true, true); ?>
    <div id="gallerylist" class="gallerylist wplg-left-panel">
        <div class="wplg-admin-overlay-tree"></div>
        <div class="topbtn">
            <a href="#add-gallery-box" class="add-gallery-box wplg-button wplg-button-colored">
                <i class="zmdi zmdi-plus"></i>
                <span><?php esc_html_e('Create', 'wp-load-gallery') ?></span>
            </a>
        </div>
        <div class="gallery_tree wplg_tree"></div>

        <div class="wplg_upload_image_wrap wplg_dl white-popup mfp-hide" id="wplg_upload_image_from_pc">
            <div class="wplg_dl_header">
                <label><?php esc_html_e('Choose the files from your PC', 'wp-load-gallery') ?></label>
            </div>
            <form id="wplg_form_upload" method="post"
                  action="<?php echo esc_html(admin_url('admin-ajax.php')) ?>"
                  enctype="multipart/form-data">
                <div class="wplg_dl_content">
                    <input class="wplg_gallery_file" type="file" name="wplg_gallery_file[]" accept="image/*" multiple
                           style="display: none">
                    <input type="hidden" name="wplg_nonce"
                           value="<?php echo esc_html(wp_create_nonce('wplg_nonce')) ?>">
                    <input type="hidden" name="action" value="wpgallery">
                    <input type="hidden" name="wplg_gallery_id" class="wplg_gallery_id" value="0">
                    <input type="hidden" name="task" value="wplg_upload">

                    <div class="wplg-file-lists">
                        <div class="template-row">
                            <div class="upload-thumbnail">
                                <img class="" src="">
                            </div>

                            <div class="upload-file-info">
                                <div class="upload-img-defails">
                                    <div class="file-name"></div>
                                    <div class="file-size"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="wplg-upload-process-wrap" style="display: none">
                        <div class="wplg-upload-progress">
                            <div
                                    class="progress progress-striped active ui-progressbar
                             ui-widget ui-widget-content ui-corner-all"
                                    role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
                                <div class="ui-progressbar-value ui-widget-header ui-corner-left"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="wplg_dl_buttons">
                    <span class="spinner" style="float: none;"></span>
                    <button class="wplg-button wplg_dl_cancel"
                            type="button"><?php esc_html_e('Cancel', 'wp-load-gallery') ?></button>
                    <button type="button" class="wplg-button wplg-select-files-btn">
                        <span><?php esc_html_e('Select files', 'wp-media-folder-gallery-addon') ?></span>
                        <span class="count_files"></span>
                    </button>
                    <button class="wplg-button wplg-button-colored wplg_upload_img_button"
                            type="button"><?php esc_html_e('Upload', 'wp-load-gallery') ?></button>
                </div>
            </form>
        </div>

        <div class="wplg_server_folder wplg_dl white-popup mfp-hide" id="wplg_server_folder">
            <div class="wplg_dl_buttons">
                <span class="spinner" style="float: none;"></span>
                <button class="wplg-button wplg_dl_cancel"
                        type="button"><?php esc_html_e('Cancel', 'wp-load-gallery') ?></button>
                <button class="wplg-button wplg-button-colored wplg_server_folder_button_add"
                        type="button"><?php esc_html_e('Add folder(s)', 'wp-load-gallery') ?></button>
            </div>
        </div>

        <div class="wplg_youtube wplg_dl white-popup mfp-hide" id="wplg_youtube">
            <div style="width: 100%; display: inline-block; box-sizing: border-box">
                <input type="text" class="wplg-input wplg-video-url" style="width: 100%"
                       placeholder="<?php esc_html_e('Youtube URL', 'wp-load-gallery') ?>">
            </div>
            <div class="wplg_dl_buttons">
                <span class="spinner" style="float: none;"></span>
                <button class="wplg-button wplg_dl_cancel"
                        type="button"><?php esc_html_e('Cancel', 'wp-load-gallery') ?></button>
                <button class="wplg-button wplg-button-colored wplg_video_button_add" type="button"
                        data-type="youtube"><?php esc_html_e('Add video', 'wp-load-gallery') ?></button>
            </div>
        </div>

        <div class="wplg_vimeo wplg_dl white-popup mfp-hide" id="wplg_vimeo">
            <div style="width: 100%; display: inline-block; box-sizing: border-box">
                <input type="text" class="wplg-input wplg-video-url" style="width: 100%"
                       placeholder="<?php esc_html_e('Vimeo URL', 'wp-load-gallery') ?>">
            </div>
            <div class="wplg_dl_buttons">
                <span class="spinner" style="float: none;"></span>
                <button class="wplg-button wplg_dl_cancel"
                        type="button"><?php esc_html_e('Cancel', 'wp-load-gallery') ?></button>
                <button class="wplg-button wplg-button-colored wplg_video_button_add" type="button"
                        data-type="vimeo"><?php esc_html_e('Add video', 'wp-load-gallery') ?></button>
            </div>
        </div>
    </div>

    <div class="wplg-tree-toggle">
        <i class="dashicons dashicons-leftright wplg-tree-toggle-icon"></i>
    </div>

    <?php
    require_once(WPLG_PLUGIN_DIR . '/admin/pages/gallery_details.php');
    ?>
</div>